#886 Inaccurate versions are shown

1.3
open
nobody
pcmanfm (103)
2
2014-08-01
2014-07-05
Sworddragon
No

I'm using PCManFM 1.2.1 and I have noticed that Help -> About is showing the versions based on the installed package which will not be accurate. For example on downgrading PCManFM 1.2.1 to 1.2.0 while the instance is still open Help -> About will show 1.2.0 while in real 1.2.1 is loaded. I think it would be better if PCManFM would show the PCManFM/LibFM version based on the loaded instance instead of the installed package.

Discussion

  • The version was hardcoded in the UI file for simplicity. I'm agree that might be wrong in some cases. We cannot change it in 1.2 version though since it will break feature/strings freeze. Thank you for noticing this.

     
    • labels: --> pcmanfm
    • Group: 1.2 --> 1.3
    • Priority: 5 --> 2